import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _INSpeakableString } from "./INSpeakableString.js";
import type { INReservationStatus } from "./INReservationStatus.js";
export declare class _INReservation extends _NSObject {
    static alloc(): _INReservation;
    static new(): _INReservation;
    init(): _INReservation;
    itemReference(): _INSpeakableString;
    reservationNumber(): _NSString | null;
    bookingTime(): _NSDate | null;
    reservationStatus(): INReservationStatus;
    reservationHolderName(): _NSString | null;
    actions(): _NSArray | null;
    URL(): _NSURL | null;
}
export interface _INReservation extends _NSCopying, _NSSecureCoding {
}
